<?php

require_once("db.php");
$dbh = db_connect();

$offset = 0;
$limit = 25;

try{
   $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
   $sql = "SELECT SQL_CALC_FOUND_ROWS id, id, title, date FROM data_01 LIMIT $offset, $limit";
   $stmt = $dbh->query($sql);
   $data = $stmt->fetchAll();

   $stmt = $dbh->query('SELECT FOUND_ROWS()');
   $data['count'] = $stmt->fetch(PDO::FETCH_ASSOC);
   $data['count'] = $data['count']['FOUND_ROWS()']-$limit;
   
}catch (PDOException $e){
   print('Error:'.$e->getMessage());
   die();
}



?>


<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>スミダイネット Sumidai.Net jqeury ajaxで次の件数を取得する サンプル</title>

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <script src="js/jquery.min.js"></script>

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>



<script>
$(document).ready(function(){
    var set = 25;
    var ck = 0;
    var total = <?=$data['count']?>;

    if(set + total > set){
      $('#total').html(total+'件');
      $('#set').html(set+'件');
      $('#reset').hide(); 
    }else{
      $('#more').hide();
      $('#reset').hide(); 
    }
    
     $('#more').click(function(){
   
         $('#reset').show(); 
              
         ck ++;
         offset = set * ck;
         
         if(total >= 0){
           total -= set;
         }
         
         if(total < set){
           $('#set').html(total+'件');
         }

     $.ajax({
        url: 'get_data.php',
        type: 'POST',
        data: { 'offset': offset },
        timeout: 10000,
        dataType: 'text'
        })
      .done(function( data ) {
         //alert("Data Loaded: " + data);
        $('#add').append(data);
           if(total <= 0){
             $('#total').text('0件');      
           }else{
             $('#total').text(total+'件');
           }
        })
      .fail(function( data ) {
        })
      .always(function( data ) {
     });

         if(total <= 0){
           $('#more').hide();
         }

  return false;

  });

  $('#reset').click(function(){
       ck = 0;
       total = <?=$data['count']?>;
       $('#more').show();
       $('#reset').hide(); 
       $('#set').html(set+'件');
       $('#add').empty();
       $('#total').text('<?=$data['count']?>件');
  });
});
</script> 

<div class="container">
  <div class="row">
    <div class="col-sm-6">

    <h2>SumiDaiNET データ 一覧</h2>

<?php foreach ($data as $key => $value){ ?>
    <?=$value['id'] ?><?=$value['title'] ?><?=$value['date'] ?><br>
<?php } ?>
<div id="add"></div> 

<button id="more" type="button" class="btn btn-default"> >> <?php if (isset($data)){ ?>次の<span id="set"></span>表示 <?php } ?> (あと <?php if (isset($data)){ ?> <span id="total"></span> <?php } ?>) </button>
<a href="#top"><button id="reset" type="button" class="btn btn-default">リセット</button></a>





    </div>

    <div class="col-sm-6">

    </div>

  </div>
</div>

</body>
</html>
